# AutoArchive configuration file

# Values of all commented-out options are the default ones.  This file can be
# copied also to the user's home where values can be altered only for that
# user.  See also aa.conf(5) manual page or User Manual for configuration file
# description.



[General]

# Turns on verbose output.  The higher the value is the more verbose output is
# selected.  Currently however, only 0 and 1 are recognized.
#verbose = 0

# Turns on quiet output.  Only errors will be shown.  If 'quiet' is turned on
# at the same level as 'verbose' (e. g. both are specified on the command line)
# then 'quiet' has higher priority than 'verbose'.
#quiet = no

# The archive specifications directory.  This is where the .aa files are
# searched for.
#archive-specs-dir = ~/.config/aa/archive_specs

# Path to the user configuration file.  This option can not be specified in the
# user configuration file.
#user-config-file = ~/.config/aa/aa.conf

# User configuration directory.  This option can not be specified in the user
# configuration file.
#user-config-dir = ~/.config/aa



[Archive]

# Archiver type.  Supported types are: tar, targz, tarbz2, tarxz,
# tar_internal, targz_internal, tarbz2_internal.
#archiver = targz

# Defines whether to perform incremental backup.
#incremental = no

# Defines whether to perform automatic backup level restarting.  See other
# '*restart-*' options to configure the restarting behaviour.
#restarting = no

# Maximal backup level.  If reached, it will be restarted back to a lower level
# (which is typically level 1 but it depends on 'max-restart-level-size')
#restart-after-level = 10

# Number of days after which the backup level is restarted.  Similarly to
# '--restart-after-level' it will be restarted to level 1 or higher.
#restart-after-age =

# Number of backup level restarts after which the level is restarted to 0.
#full-restart-after-count =

# Number of days after which the backup level is restarted to 0.
#full-restart-after-age =

# Maximal percentage size of a backup (of level > 0) to which level is
# allowed restart to.  The size is percentage of size of the level 0 archive
# file.  If a backup of particular level has its size bigger than defined
# percentage, restart to that level will not be allowed.
#max-restart-level-size =

# Turns on removing backups of levels that are no longer valid due to the
# backup level restart.  All backups of the backup level higher than the one
# currently being created will be removed.
#remove-obsolete-backups = no

# Compression strength level.  If not specified, default behaviour of
# underlying compression program will be used.
#compression-level =

# Directory where the backup will be created.
#dest-dir = .

# Force archiver type. Supported types are: tar, targz, tarbz2, tarxz,
# tar_internal, targz_internal, tarbz2_internal.
#force-archiver =

# Force incremental backup.
#force-incremental =

# Force backup level restarting.
#force-restarting =

# Force compression strength level.
#force-compression-level =

# Force the directory where the backup will be created.
#force-dest-dir =
